Subject: Re: Last Call: <draft-ietf-i2rs-rib-data-model-10.txt> (A YANG Data Model for Routing Information Base (RIB)) to Proposed Standard

From: "tom p." <[email-masked]>
Date: Tue, 27 Feb 2018 16:54:28 -0000

Looking at -10, the version that is in Last Call, I see some YANG issues
(still) outstanding.

"   This document defines a YANG [RFC6020][RFC6991] data model"
- RFC6020 is YANG 1.0 not 1.1 - I think there needs to be a reason not
to use the current version 1.1

- There is no mention of the status of this vis-a-vis NMDA.  I would
like to see that stated

- And RFC6991 is an odd reference for YANG. since it is data types; not
off the wall, but seems odd

1.2 Guidelines on tree diagrams can be found in Section 3 of
   [I-D.ietf-netmod-yang-tree-diagrams].
-YANG Guidelines now call for this to be an Informative Reference, not a
Normative one

2.2.  Routing Instance and Rib
- /Rib/RIB/

3.  YANG Modules

 <CODE BEGINS> file "[email-masked]"
- The date will need updating at time of publication and a Note to the
RFC
Editor is helpful here

 "  namespace "urn:ietf:params:xml:ns:yang:ietf-i2rs-rib";
   // replace with iana namespace when assigned  "
second line seems unwanted

import ietf-interfaces {
     prefix if;
         reference "RFC 7223";
   }
- RFC7223 has been superseded by 7223bis

And the referenced I-D/RFC needs to appear in the Reference
section of this I-D - Normative I would suggest - along with a citation
somewhere in the text part of this I-D (lest you are warned about an
unused Reference).

"    Copyright (c) <2018> IETF Trust and the persons
      identified as authors of the code.  All rights reserved.";  "
- This looks inadequate to me; see for example
draft-ietf-netmod-syslog-model
for a more comprehensive one

   revision "2018-02-12" {
- as before, a note to the RFC Editor is helpful

         // RFC Ed.: replace XXXX with actual RFC number and remove
         // this note
- I see no XXXX to be replaced here

"leaf hop-limit {
       type uint8;
       description
         "The hop limit the header.";
"
Something seems to be missing from the description

description   "NvGRE can use eigher IPv4    or IPv6 header for
encapsulation.";
- perhaps /gher/ther/

- The  module has  few reference clauses and when I see something
capitalised, e.g.

leaf ip-rpf-check {
               "Each RIB can be optionally associated with a
            ENABLE_IP_RPF_CHECK
I suspect that a reference is required

Some, but not many, of these issues are fixed in a not-submitted version
I have been sent, but that version introduces some fresh issues so I
have stayed with the vesion in Last Call..

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Sent: Friday, February 23, 2018 6:23 PM

> The IESG has received a request from the Interface to the Routing
System WG
> (i2rs) to consider the following document: - 'A YANG Data Model for
Routing
> Information Base (RIB)'
>   <draft-ietf-i2rs-rib-data-model-10.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-03-30. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>    This document defines a YANG data model for Routing Information
Base
>    (RIB) that aligns with the I2RS RIB information model.
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-i2rs-rib-data-model/
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/doc/draft-ietf-i2rs-rib-data-model/ballot/
>
> No IPR declarations have been submitted directly on this I-D.